summaryrefslogtreecommitdiff
path: root/sysdeps/powerpc
diff options
context:
space:
mode:
Diffstat (limited to 'sysdeps/powerpc')
-rw-r--r--[-rwxr-xr-x]sysdeps/powerpc/configure16
-rw-r--r--sysdeps/powerpc/powerpc32/configure24
-rw-r--r--[-rwxr-xr-x]sysdeps/powerpc/powerpc32/elf/configure12
-rw-r--r--sysdeps/powerpc/powerpc64/configure24
-rw-r--r--sysdeps/powerpc/powerpc64/elf/configure12
5 files changed, 44 insertions, 44 deletions
diff --git a/sysdeps/powerpc/configure b/sysdeps/powerpc/configure
index 07e3d091b1..b347754f35 100755..100644
--- a/sysdeps/powerpc/configure
+++ b/sysdeps/powerpc/configure
@@ -2,10 +2,10 @@
# Local configure fragment for sysdeps/powerpc.
# Accept binutils which knows about ".machine".
-echo "$as_me:$LINENO: checking for .machine support" >&5
-echo $ECHO_N "checking for .machine support... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for .machine support" >&5
+$as_echo_n "checking for .machine support... " >&6; }
if test "${libc_cv_ppc_machine+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
cat > conftest.s <<\EOF
.machine "altivec"
@@ -15,7 +15,7 @@ if { ac_try='${CC-cc} -c $CFLAGS conftest.s 1>&5'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
libc_cv_ppc_machine=yes
else
@@ -23,14 +23,14 @@ else
fi
rm -f conftest*
fi
-echo "$as_me:$LINENO: result: $libc_cv_ppc_machine" >&5
-echo "${ECHO_T}$libc_cv_ppc_machine" >&6
+{ $as_echo "$as_me:$LINENO: result: $libc_cv_ppc_machine" >&5
+$as_echo "$libc_cv_ppc_machine" >&6; }
if test $libc_cv_ppc_machine != yes; then
- { { echo "$as_me:$LINENO: error:
+ { { $as_echo "$as_me:$LINENO: error:
*** A binutils version which can handle
*** .machine \"altivec\"
*** is needed." >&5
-echo "$as_me: error:
+$as_echo "$as_me: error:
*** A binutils version which can handle
*** .machine \"altivec\"
*** is needed." >&2;}
diff --git a/sysdeps/powerpc/powerpc32/configure b/sysdeps/powerpc/powerpc32/configure
index 0ff56c936a..9b76c57886 100644
--- a/sysdeps/powerpc/powerpc32/configure
+++ b/sysdeps/powerpc/powerpc32/configure
@@ -2,10 +2,10 @@
# Local configure fragment for sysdeps/powerpc/powerpc32.
# See whether gas has R_PPC_REL16 relocs.
-echo "$as_me:$LINENO: checking for R_PPC_REL16 gas support" >&5
-echo $ECHO_N "checking for R_PPC_REL16 gas support... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for R_PPC_REL16 gas support" >&5
+$as_echo_n "checking for R_PPC_REL16 gas support... " >&6; }
if test "${libc_cv_ppc_rel16+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
cat > conftest.s <<\EOF
.text
@@ -15,7 +15,7 @@ if { ac_try='${CC-cc} -c $CFLAGS conftest.s 1>&5'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
libc_cv_ppc_rel16=yes
else
@@ -23,8 +23,8 @@ else
fi
rm -f conftest*
fi
-echo "$as_me:$LINENO: result: $libc_cv_ppc_rel16" >&5
-echo "${ECHO_T}$libc_cv_ppc_rel16" >&6
+{ $as_echo "$as_me:$LINENO: result: $libc_cv_ppc_rel16" >&5
+$as_echo "$libc_cv_ppc_rel16" >&6; }
if test $libc_cv_ppc_rel16 = yes; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_ASM_PPC_REL16 1
@@ -33,10 +33,10 @@ _ACEOF
fi
# See whether GCC uses -msecure-plt.
-echo "$as_me:$LINENO: checking for -msecure-plt by default" >&5
-echo $ECHO_N "checking for -msecure-plt by default... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for -msecure-plt by default" >&5
+$as_echo_n "checking for -msecure-plt by default... " >&6; }
if test "${libc_cv_ppc_secure_plt+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
echo 'int foo (void) { extern int bar; return bar; }' > conftest.c
libc_cv_ppc_secure_plt=no
@@ -44,7 +44,7 @@ if { ac_try='${CC-cc} -S $CFLAGS conftest.c -fpic -o conftest.s 1>&5'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
if grep '_GLOBAL_OFFSET_TABLE_-.*@ha' conftest.s > /dev/null 2>&1; then
libc_cv_ppc_secure_plt=yes
@@ -52,8 +52,8 @@ if { ac_try='${CC-cc} -S $CFLAGS conftest.c -fpic -o conftest.s 1>&5'
fi
rm -rf conftest*
fi
-echo "$as_me:$LINENO: result: $libc_cv_ppc_secure_plt" >&5
-echo "${ECHO_T}$libc_cv_ppc_secure_plt" >&6
+{ $as_echo "$as_me:$LINENO: result: $libc_cv_ppc_secure_plt" >&5
+$as_echo "$libc_cv_ppc_secure_plt" >&6; }
if test $libc_cv_ppc_secure_plt = yes; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_PPC_SECURE_PLT 1
diff --git a/sysdeps/powerpc/powerpc32/elf/configure b/sysdeps/powerpc/powerpc32/elf/configure
index 536052e0eb..dfa5770756 100755..100644
--- a/sysdeps/powerpc/powerpc32/elf/configure
+++ b/sysdeps/powerpc/powerpc32/elf/configure
@@ -4,10 +4,10 @@
if test "$usetls" != no; then
# Check for support of thread-local storage handling in assembler and
# linker.
-echo "$as_me:$LINENO: checking for powerpc32 TLS support" >&5
-echo $ECHO_N "checking for powerpc32 TLS support... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for powerpc32 TLS support" >&5
+$as_echo_n "checking for powerpc32 TLS support... " >&6; }
if test "${libc_cv_powerpc32_tls+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
cat > conftest.s <<\EOF
.section ".tdata","awT",@progbits
@@ -33,7 +33,7 @@ if { ac_try='${CC-cc} -c $CFLAGS conftest.s 1>&5'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
libc_cv_powerpc32_tls=yes
else
@@ -41,8 +41,8 @@ else
fi
rm -f conftest*
fi
-echo "$as_me:$LINENO: result: $libc_cv_powerpc32_tls" >&5
-echo "${ECHO_T}$libc_cv_powerpc32_tls" >&6
+{ $as_echo "$as_me:$LINENO: result: $libc_cv_powerpc32_tls" >&5
+$as_echo "$libc_cv_powerpc32_tls" >&6; }
if test $libc_cv_powerpc32_tls = yes; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_TLS_SUPPORT 1
diff --git a/sysdeps/powerpc/powerpc64/configure b/sysdeps/powerpc/powerpc64/configure
index 9075a5c8c4..a9b6722c11 100644
--- a/sysdeps/powerpc/powerpc64/configure
+++ b/sysdeps/powerpc/powerpc64/configure
@@ -3,10 +3,10 @@
# The Aix ld uses global .symbol_names instead of symbol_names
# and unfortunately early Linux PPC64 linkers use it as well.
-echo "$as_me:$LINENO: checking for support for omitting dot symbols" >&5
-echo $ECHO_N "checking for support for omitting dot symbols... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for support for omitting dot symbols" >&5
+$as_echo_n "checking for support for omitting dot symbols... " >&6; }
if test "${libc_cv_omit_dot_syms+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
libc_cv_omit_dot_syms=no
echo 'void foo (void) {}' > conftest.c
@@ -14,7 +14,7 @@ if { ac_try='${CC-cc} $CFLAGS $CPPFLAGS -S conftest.c -o conftest.s 1>&5'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
if grep -w '\.foo' conftest.s > /dev/null; then
:
@@ -25,8 +25,8 @@ fi
rm -f conftest.c conftest.s
fi
-echo "$as_me:$LINENO: result: $libc_cv_omit_dot_syms" >&5
-echo "${ECHO_T}$libc_cv_omit_dot_syms" >&6
+{ $as_echo "$as_me:$LINENO: result: $libc_cv_omit_dot_syms" >&5
+$as_echo "$libc_cv_omit_dot_syms" >&6; }
if test x$libc_cv_omit_dot_syms != xyes; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_ASM_GLOBAL_DOT_NAME 1
@@ -34,10 +34,10 @@ _ACEOF
fi
-echo "$as_me:$LINENO: checking for linker support for overlapping .opd entries" >&5
-echo $ECHO_N "checking for linker support for overlapping .opd entries... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for linker support for overlapping .opd entries" >&5
+$as_echo_n "checking for linker support for overlapping .opd entries... " >&6; }
if test "${libc_cv_overlapping_opd+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
libc_cv_overlapping_opd=no
echo 'void foo (void) {}' > conftest.c
@@ -45,7 +45,7 @@ if { ac_try='${CC-cc} $CFLAGS $CPPFLAGS -S conftest.c -o conftest.s 1>&5'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
if grep '\.TOC\.@tocbase' conftest.s > /dev/null; then
if grep '\.TOC\.@tocbase[ ]*,[ ]*0' conftest.s > /dev/null; then
@@ -58,8 +58,8 @@ fi
rm -f conftest.c conftest.s
fi
-echo "$as_me:$LINENO: result: $libc_cv_overlapping_opd" >&5
-echo "${ECHO_T}$libc_cv_overlapping_opd" >&6
+{ $as_echo "$as_me:$LINENO: result: $libc_cv_overlapping_opd" >&5
+$as_echo "$libc_cv_overlapping_opd" >&6; }
if test x$libc_cv_overlapping_opd = xyes; then
cat >>confdefs.h <<\_ACEOF
#define USE_PPC64_OVERLAPPING_OPD 1
diff --git a/sysdeps/powerpc/powerpc64/elf/configure b/sysdeps/powerpc/powerpc64/elf/configure
index ab79a5ab40..6ca1510a2c 100644
--- a/sysdeps/powerpc/powerpc64/elf/configure
+++ b/sysdeps/powerpc/powerpc64/elf/configure
@@ -4,10 +4,10 @@
if test "$usetls" != no; then
# Check for support of thread-local storage handling in assembler and
# linker.
-echo "$as_me:$LINENO: checking for powerpc64 TLS support" >&5
-echo $ECHO_N "checking for powerpc64 TLS support... $ECHO_C" >&6
+{ $as_echo "$as_me:$LINENO: checking for powerpc64 TLS support" >&5
+$as_echo_n "checking for powerpc64 TLS support... " >&6; }
if test "${libc_cv_powerpc64_tls+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
+ $as_echo_n "(cached) " >&6
else
cat > conftest.s <<\EOF
.section ".tdata","awT",@progbits
@@ -52,7 +52,7 @@ if { ac_try='${CC-cc} -c $CFLAGS conftest.s 1>&5'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
libc_cv_powerpc64_tls=yes
else
@@ -60,8 +60,8 @@ else
fi
rm -f conftest*
fi
-echo "$as_me:$LINENO: result: $libc_cv_powerpc64_tls" >&5
-echo "${ECHO_T}$libc_cv_powerpc64_tls" >&6
+{ $as_echo "$as_me:$LINENO: result: $libc_cv_powerpc64_tls" >&5
+$as_echo "$libc_cv_powerpc64_tls" >&6; }
if test $libc_cv_powerpc64_tls = yes; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_TLS_SUPPORT 1